Backbone
Date: 2019-10-22

org.jmol.shapebio

## Class Backbone

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shapebio.BioShapeCollection
    - - org.jmol.shapebio.Backbone

-     public class Backbone
      extends BioShapeCollection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) javajs.util.BS` | `bsSelected`

    - ### Fields inherited from class org.jmol.shapebio.BioShapeCollection

      `atoms, bioShapes, isActive, madDnaRna, madHelixSheet, madOn, madTurnRandom`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Backbone()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisplayedBackbone(Atom a, boolean isVisible)`
    `void` | `initShape()`
    `void` | `setAtomClickability()`
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bsSelected)`
    `void` | `setShapeSizeRD(int size, RadiusData rd, javajs.util.BS bsSelected)`

    - ### Methods inherited from class org.jmol.shapebio.BioShapeCollection

      `findNearestAtomIndex, getBioShape, getMpsShapeCount, getShapeState, getSizeG, initialize, initModelSet, replaceGroup, setModelVisibilityFlags, setPropBSC`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSize, getTranslucentLabel, initializeShape, setModelSet, setPropS, setSize, setSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bsSelected

          javajs.util.BS bsSelected

  - ### Constructor Detail

    - #### Backbone

          public Backbone()

  - ### Method Detail

    - #### initShape

          public void initShape()

      Overrides:
        `initShape` in class `BioShapeCollection`

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bsSelected)

      Overrides:
        `setProperty` in class `BioShapeCollection`

    - #### setShapeSizeRD

          public void setShapeSizeRD(int size,
                                     RadiusData rd,
                                     javajs.util.BS bsSelected)

      Overrides:
        `setShapeSizeRD` in class `BioShapeCollection`

    - #### addDisplayedBackbone

          public void addDisplayedBackbone(Atom a,
                                           boolean isVisible)

    - #### setAtomClickability

          public void setAtomClickability()

      Overrides:
        `setAtomClickability` in class `BioShapeCollection`